summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msggrep-1
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/msggrep-1')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/msggrep-114
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/msggrep-1 b/gettext-tools/tests/msggrep-1
index da20529..33d4181 100755..100644
--- a/gettext-tools/tests/msggrep-1
+++ b/gettext-tools/tests/msggrep-1
@@ -3,10 +3,6 @@
# Test --location option.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles mg-test1.po"
cat <<\EOF > mg-test1.po
# German translations for GNU gettext package.
# Copyright (C) 1995, 1996, 1997, 2001 Free Software Foundation, Inc.
@@ -156,14 +152,10 @@ msgid "%s subprocess got fatal signal"
msgstr "Subprozess %s hat ein fatales Signal erhalten"
EOF
-tmpfiles="$tmpfiles mg-test1.tmp mg-test1.out"
: ${MSGGREP=msggrep}
-${MSGGREP} -N pipe-bidi.c -o mg-test1.tmp mg-test1.po
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < mg-test1.tmp > mg-test1.out
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+${MSGGREP} -N pipe-bidi.c -o mg-test1.tmp mg-test1.po || exit 1
+LC_ALL=C tr -d '\r' < mg-test1.tmp > mg-test1.out || exit 1
-tmpfiles="$tmpfiles mg-test1.ok"
cat <<\EOF > mg-test1.ok
# German translations for GNU gettext package.
# Copyright (C) 1995, 1996, 1997, 2001 Free Software Foundation, Inc.
@@ -194,6 +186,4 @@ EOF
${DIFF} mg-test1.ok mg-test1.out
result=$?
-rm -fr $tmpfiles
-
exit $result